Groups - Accept Group Application
Accepts an outstanding invitation to to join a group
POST https://titleId.playfabapi.com/Group/AcceptGroupApplication
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-EntityToken | True |
string |
This API requires an Entity Session Token, available from the Entity GetEntityToken method. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| Entity | True |
Type of the entity to accept as. Must be the same entity as the claimant or an entity that is a child of the claimant entity. |
|
| Group | True |
The identifier of the group |
|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-EntityToken
This API requires an Entity Session Token, available from the Entity GetEntityToken method.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Accept |
Accepts an outstanding invitation to to join a group if the invited entity is not blocked by the group. Nothing is returned in the case of success. |
|
Api |
The basic wrapper around every failed API response |
|
Empty |
|
|
Entity |
Combined entity type and ID structure which uniquely identifies a single entity. |
AcceptGroupApplicationRequest
Accepts an outstanding invitation to to join a group if the invited entity is not blocked by the group. Nothing is returned in the case of success.
| Name | Type | Description |
|---|---|---|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| Entity |
Type of the entity to accept as. Must be the same entity as the claimant or an entity that is a child of the claimant entity. |
|
| Group |
The identifier of the group |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
EmptyResponse
EntityKey
Combined entity type and ID structure which uniquely identifies a single entity.
| Name | Type | Description |
|---|---|---|
| Id |
string |
Unique ID of the entity. |
| Type |
string |
Entity type. See https://docs.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types |
Error Codes
| Name | Code |
|---|---|
| EntityBlockedByGroup | 1357 |
| EntityIsAlreadyMember | 1359 |
| GroupApplicationNotFound | 1362 |